org.eclipse.ecf.core

## Interface IReliableContainer

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IContainer, IIdentifiable

All Known Subinterfaces:
  ISharedObjectContainer

All Known Implementing Classes:
  ClientSOContainer, RemoteServiceContainer, ServerSOContainer, ServletServerContainer, SOContainer, SSLClientSOContainer, SSLServerSOContainer, TCPClientSOContainer, TCPServerSOContainer

    public interface IReliableContainer
    extends IContainer

Contract for reliable container. Extends IContainer

See Also:
  `IContainer`

### Method Summary

All Methods Instance Methods Abstract Methods
`ID[]` `getGroupMemberIDs()` Get the current membership of the joined group.
`boolean` `isGroupManager()`

### Methods inherited from interface org.eclipse.ecf.core.IContainer

`addListener, connect, disconnect, dispose, getAdapter, getConnectedID, getConnectNamespace, removeListener`

### Methods inherited from interface org.eclipse.ecf.core.identity.IIdentifiable

`getID`

### Method Detail

#### getGroupMemberIDs

    ID[] getGroupMemberIDs()

Get the current membership of the joined group. This method will accurately report the current group membership of the connected group.

Returns:
  ID[] the IDs of the current group membership

#### isGroupManager

    boolean isGroupManager()

Returns:
  true if this IReliableContainer instance is in the 'manager' role for the group, false otherwise.